Package de.tudresden.sumo.objects

## Class SumoColor

- java.lang.Object
- - de.tudresden.sumo.objects.SumoColor

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoColor`

      public class SumoColor
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte` | `a` |
    `byte` | `b` |
    `byte` | `g` |
    `byte` | `r` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoColor()` |
    `SumoColor​(int r, int g, int b, int a)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### r

          public byte r

    - #### g

          public byte g

    - #### b

          public byte b

    - #### a

          public byte a

  - ### Constructor Detail

    - #### SumoColor

          public SumoColor()

    - #### SumoColor

          public SumoColor​(int r,
                           int g,
                           int b,
                           int a)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`